Bug 987642 - Deleting a source folder from a project doesn't update the project PYTHONPATH
Deleting a source folder from a project doesn't update the project PYTHONPATH
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: eclipse-pydev (Show other bugs)
19
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Andrew Ferrazzutti
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-23 15:43 EDT by Andrew Ferrazzutti
Modified: 2015-02-18 09:01 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 09:01:52 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Ferrazzutti 2013-07-23 15:43:52 EDT
Description of problem:
After deleting a source folder from a project (typically through the PyDev Package Manager), the Package Manager immediately reports that the just-deleted folder cannot be found. This is fairly silly for it report, since the folder was just wilfully removed from the project.

This happens because deleting a folder from a project doesn't remove it from the PYTHONPATH, so the project thinks the folder should still exist. Viewing the Project Properties, it can be seen that source folders that have just been deleted remain as PYTHONPATH entries.

Deleting a source folder should trigger its removal from its project's PYTHONPATH, so that this problem doesn't happen.


Steps to Reproduce:
1. Create a PyDev project with at least one source folder.
2. Delete the source folder.
3. Look at the PyDev Package Manager for the warning icon.
Comment 1 Andrew Ferrazzutti 2013-09-05 13:49:51 EDT
Patches merged to upstream; problem should be resolved.

In addition to updating the PYTHONPATH when source folders are deleted, updates also occur when renaming, pasting, or moving source folders.
Comment 2 Fedora End Of Life 2015-01-09 17:13:11 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2015-02-18 09:01:52 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.